// -------------------------------------------------------------------
// Manage assets modal
// -------------------------------------------------------------------

#view-manageAssets {
  .starred,
  .unstarred {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
  }

  .starred {
    background-image: url('./svg/star.svg');

    &:hover {
      background-image: url('./svg/star.svg');
    }
  }

  .unstarred {
    background-image: url('./svg/star-o.svg');

    &:hover {
      background-image: url('./svg/star-o.svg');
    }
  }

  .modal-header {

    .manageBtnSave {
      position: absolute;
      left: 19px;
      top: 12px;
      border: none;
      cursor: pointer;
      background: #7174d8;
      color: white;
      border-radius: 8px;
      padding: 6px 12px;
      margin: 2px 0;

      @include breakpoint(xxxsmall) {
        left: 8px;
      }

      &:hover {
        background: rgba(#7174d8, 0.8);
      }
    }
  }

  .modal-body {
    border-radius: 0 0 8px 8px;
    border-bottom: 1px solid #eeee;
    height: calc(100% - 168px);

    @media (max-width: 480px) {
      height: calc(100% - 230px);
    }

    .clearable {
      margin-bottom: 10px;
      width: 100%;

      input {
        margin-bottom: 0;
      }
    }

    .overview-manage-assets {
      margin-top: 0;

      .tbody .tr {
        padding: 15px 15px 10px;
        margin: 0;
        border-bottom: 1px solid $border-color;
        text-align: left;
        margin-left: -24px;
        margin-right: -24px;
      }

      .col1 {
        width: calc(100% - 95px);
        display: inline-block;
        text-align: left;
        word-break: break-all;
        //@include breakpoint(small) { width: 75%; }
        .icon {
          float: left;
          padding: 2px 8px 0 12px;

          svg {
            width: 29px;
            height: 29px;
          }
        }

        .asset {
          font-weight: $bold;
          line-height: 25px;
          color: black;
          margin-top: -4px;

          @include font-size(18);
        }

        .full-name {
          @include font-size(12);
          @include line-height(14);
        }
      }

      .col2 {
        display: inline-block;
        width: 40px;
        float: right;
        position: unset;

        @include breakpoint(xxxsmall) {
          position: absolute;
          right: 32px;
          min-width: 86px;
        }
      }

      .selectedAsset {
        background-position: center center;
        background-repeat: no-repeat;
        background-image: url('./svg/checkmark.svg');
        background-color: #5dbdc9;
      }

      .unselectedAsset {
        background-position: center center;
        background-repeat: no-repeat;
        background-image: url('./svg/plus.svg');
        background-color: transparent;
      }

      .changeManageBtn {
        float: left;
        width: 33px;
        height: 33px;
      }

      .tbody .added {
        border-bottom: 1px solid $secondary-color-light;
        background: $secondary-color-light;
      }

      .manageAssets-star {
        display: none;
      }

      .added .manageAssets-star {
        display: inline-block;
        background-color: #9fdde6;
      }
    }
  }

  .manage-assets-spinner {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: rgba(black, 0.4);
    z-index: 9999;

    .container {
      background: white;
      text-align: center;
      padding: 24px;
      width: 70%;
      margin: 10% auto 0;

      @include border-radius();

      @include breakpoint(small) {
        width: 300px;
      }

      p {
        color: $text-body-color;
        margin: 24px 0 0;
      }

      .spinner-loader {
        margin-top: 32px;
      }
    }
  }

  .tip {
    font-size: 12px;
    line-height: 20px;
    margin-top: 5px;
    position: relative;
    text-align: center;

    @media (max-width: 480px) {
      font-size: 10px;
      line-height: 15px;
    }

    .tip-icon {
      margin: 0 6px 0 0;
      display: inline-block;
      vertical-align: middle;

      /* TODO background-image: url('./svg/tip.svg'); */
      background-repeat: no-repeat;
    }

    a {
      text-decoration: underline;
      color: purple;
    }
  }

  .manage-assets-spinner.active {
    display: block;
  }

  #manageAssets-scan-tip {
    display: none; /* starts hidden */
    color: #e55;

    a {
      color: #e55;
    }
  }

  #manageAssets-list {
    display: flex;
    flex-direction: column;
  }

  #manageAssets-types {
    text-align: center;
    label {
      margin-right: 2%;
    }
  }

//
// Buttons
//

  .pure-button-large {
    margin: 15px 10px;
    padding: 10px 15px;
  }

  .modal-content .manageBtnSave {
    margin: 7px 22px 15px 0;
    width: 58%;
    float: right;
  }

  .modal-content .manageBtnScan {
    margin: 7px 0 15px 22px;
    width: 28%;
  }

}
